Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.adapter
Class EventListAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<EventDefinitionMetaData[],java.util.Map<java.lang.String,EventDefinitionMetaData>>
          org.jboss.portal.portlet.impl.metadata.adapter.EventListAdapter

    public final class EventListAdapter

extends javax.xml.bind.annotation.adapters.XmlAdapter<EventDefinitionMetaData[],java.util.Map<java.lang.String,EventDefinitionMetaData>>

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`EventListAdapter()`

Method Summary
`EventDefinitionMetaData[]` | `marshal(java.util.Map<java.lang.String,EventDefinitionMetaData> eventMap)`
`java.util.Map<java.lang.String,EventDefinitionMetaData>` | `unmarshal(EventDefinitionMetaData[] eventList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListAdapter

    public EventListAdapter()

Method Detail

### marshal

    public EventDefinitionMetaData[] marshal(java.util.Map<java.lang.String,EventDefinitionMetaData> eventMap)
                                      throws java.lang.Exception

  Specified by:
    `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<EventDefinitionMetaData[],java.util.Map<java.lang.String,EventDefinitionMetaData>>`
  Throws:
    `java.lang.Exception`

### unmarshal

    public java.util.Map<java.lang.String,EventDefinitionMetaData> unmarshal(EventDefinitionMetaData[] eventList)
                                                                      throws java.lang.Exception

  Specified by:
    `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<EventDefinitionMetaData[],java.util.Map<java.lang.String,EventDefinitionMetaData>>`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.